/* These routines assume a 4MHz clock.
 */

#include "delay.h"

/* Delay for the specified number of miliseconds.
 */
void delay_ms(unsigned char cnt)
{
  unsigned char i;
  do 
  {
    i = 4;
    do { delay_us(250); } while(--i);
  } 
  while(--cnt);
}

/* Delay for the specified number of seconds.
 */
void delay_s(unsigned char cnt)
{
  unsigned char i;
  do 
  {
    i = 4;
    do { delay_ms(250); } while(--i);
  } 
  while(--cnt);
}